%define upstream_name    Test-Command
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Test routines for external commands
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Simple) >= 0.620.0
BuildArch:  noarch

%description
'Test::Command' intends to bridge the gap between the well tested functions
and objects you choose and their usage in your programs. By examining the
exit status, terminating signal, STDOUT and STDERR of your program you can
determine if it is behaving as expected.

This includes testing the various combinations and permutations of options
and arguments as well as the interactions between the various functions and
objects that make up your program.

The various test functions below can accept either a command string or an
array reference for the first argument. If the command is expressed as a
string it is passed to 'system' as is. If the command is expressed as an
array reference it is dereferenced and passed to 'system' as a list. See
''perldoc -f system'' for how these may differ.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.110.0-10.mga10
+ Revision: 2200797
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.110.0-9.mga9
+ Revision: 1806092
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-8.mga8
+ Revision: 1497337
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.110.0-7.mga7
+ Revision: 1271666
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-6.mga6
+ Revision: 1034185
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.110.0-5.mga6
+ Revision: 936406
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 751060
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 686414
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.110.0-2.mga4
+ Revision: 527355
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.110.0-1.mga4
+ Revision: 439928
- update to 0.11

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 373429
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 22896
- cleaning spec file
- imported package perl-Test-Command


* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.80.0-1mdv2011.0
+ Revision: 602043
- import perl-Test-Command

